/v1/event/payout

Get a paginated list of payout events

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint retrieves a paginated list of all Payouts transactions associated with your account.

Overview

  • History and Reporting: View a log of all past and current payouts.
  • Reconciliation: Iterate through transactions to reconcile them with your internal records.
  • Dashboard Display: Useful for showing a history of payouts in an admin panel or user interface.

Request

GET /v1/event/payout

ParameterTypeLocationRequiredDescription
AuthorizationstringHeaderYesYour API key.
pageintegerQueryNoCurrent page number. Default: 1. Minimum: 1. Maximum: 100000.
limitintegerQueryNoNumber of items per page. Default: 10. Minimum: 1. Maximum: 50.

Response

200 OK

FieldTypeDescription
statusstringAPI request status.
resultobjectWrapper for the list and pagination data.
result.paginationobjectContains page, limit, and total count of payouts.
result.itemsarrayList of payout events.
result.items[].event_idstringEvent identifier.
result.items[].statusstringState of the execute event.
result.items[].payoutobject or nullPayout details, with the same fields as result.payout in Get payout by event ID. null if the payout hasn't been created yet.
Query Params
integer
1 to 100000
Defaults to 1
integer
1 to 50
Defaults to 10
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json